/*
* $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Service/LtcsIifServiceFactory.cc 375 2018-01-11 11:46:56Z depa $
*
*  Created on: Aug 30, 2011
*      Author: kittmann
*/

#include <Basda/Basdard.h>
#include "LtcsIifServiceWorker.h"
#include <Basda/ServiceState.h>

extern "C" void instantService(const Nice::JointPtr & _config)
{
    std::string serviceName = _config->getAtNode<std::map<std::string, std::string> >(
                                  "LOAD")["NAME"];

    Basda::ServiceWorkerPtr worker = new Ltcs::IifServiceWorker(_config);

    Basda::Basdard::addWorker(serviceName, worker);


}
